<script>
    import Menu from "./Menu.svelte";
	import MenuItem from "./Menuitem.svelte";
	import ProgramsOffered_Icon from "../img/ProgramsOffered_Icon (1).png";
	import InquireNow_Icon1 from "../img/InquireNow_Icon1 (1).png";
	import InquireNow_Icon2 from "../img/InquireNow_Icon2 (1).png";
	import ApplyNow_Icon from "../img/ApplyNow_Icon.png";
</script>

<div class="nav-container">
    <nav>
        <ul class="grid-container-menu">
            <li class="w-16">
                <a href="https://www.ceu.edu.ph/academics/1"><img src={ProgramsOffered_Icon} class="img-menu-bar" alt="ProgramsOffered_Icon"/>PROGRAMS OFFERED</a>
            </li>
            <li class="w-12">
                <Menu>
                    <span slot='toggle'><img src={InquireNow_Icon1} class="img-menu-bar" alt="InquireNow_Icon1"/>INQUIRE NOW</span>
                        <MenuItem>
                            <a href="tel:0287356877">CEU Manila<br> (02) 8735-6877</a>
                        </MenuItem>
                        <!-- <MenuItem>
                            <a href="tel:0287356861p277">CEU Manila<br> (02) 8735-6861 to 71 loc. 277</a>
                        </MenuItem> -->
                        <MenuItem>
                            <a href="tel:09478919071">CEU Manila<br> 0947-891-9071</a>
                        </MenuItem>
                        <MenuItem>
                                <a href="tel:0288898166">CEU Makati<br> (02) 8889-8166</a>
                        </MenuItem>
                        <MenuItem>
                            <a href="tel:0447603203">CEU Malolos<br> (044) 760-3203</a>
                        </MenuItem>
                </Menu>
            </li>
            <li class="w-12">
                <Menu>
                    <span slot='toggle'><img src={InquireNow_Icon2} class="img-menu-bar" alt="InquireNow_Icon2"/>INQUIRE NOW</span>
                    <MenuItem>
                        <a href="mailto:ceumanilaadmission@ceu.edu.ph">CEU Manila ceumanilaadmission@ceu.edu.ph</a>
                    </MenuItem>
                    <MenuItem>
                        <a href="mailto:ceumakatiadmission@ceu.edu.ph">CEU Makati ceumakatiadmission@ceu.edu.ph</a>
                    </MenuItem>
                    <MenuItem>
                        <a href="mailto:ceumalolosadmission@ceu.edu.ph">CEU Malolos ceumalolosadmission@ceu.edu.ph</a>
                    </MenuItem>
                </Menu>
            </li>
            <li class="w-16">
                <!-- admissions link https://admission2.ceu.edu.ph/ -->
                <!-- banner for announcement https://covid.ceu.edu.ph/announcement -->
                <a href="https://admission2.ceu.edu.ph/"><img src={ApplyNow_Icon} class="img-menu-bar" alt="ApplyNow_Icon"/>APPLY NOW</a>
            </li>
        </ul>
    </nav>
</div>

<style>

ul,
	li {
  		margin: 0;
		padding: 0;
	}

    ul {
		list-style-type: none;
		padding-top: 10px;
		padding-left: 200px;
		padding-bottom: 200px;
	}

.img-menu-bar{
	width: 50px;
	margin-left: auto;
	margin-right: auto;
}

.grid-container-menu{
  display: grid;
  grid-template-columns: auto auto auto auto;
  grid-gap: 60px;
  background-color: none;
  padding: 20px;
  margin-left: auto;
  margin-right: auto;
  font-weight: 450;
  font-size: smaller;
  color:white;
  width: 75%;
}
@media screen and (max-width: 320px) {
    .grid-container-menu{
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-gap: 30px;
		background-color: none;
		padding: 10px;
		margin-left: auto;
		margin-right: auto;
		font-weight: 450;
		font-size: smaller;
		color:white;
		width: 100%;
	}	

    .img-menu-bar{
        width: 30px;
        margin-left: auto;
        margin-right: auto;
    }
}

@media screen and (min-width: 350px) {
    .grid-container-menu{
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-gap: 30px;
		background-color: none;
		padding: 20px;
		margin-left: auto;
		margin-right: auto;
		font-weight: 450;
		font-size: smaller;
		color:white;
		width: 89%;
	}	

    .img-menu-bar{
        width: 30px;
        margin-left: auto;
        margin-right: auto;
    }
}

@media screen and (min-width: 750px) {
    .grid-container-menu{
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-gap: 100px;
		background-color: none;
		padding: 20px;
		margin-left: auto;
		margin-right: auto;
		font-weight: 450;
		font-size: smaller;
		color:white;
		width:72%;
	}
    .img-menu-bar{
        width: 50px;
        margin-left: auto;
        margin-right: auto;
    }
}

@media screen and (min-width: 1000px) {
    .grid-container-menu{
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-gap: 180px;
		background-color: none;
		padding: 20px;
		margin-left: auto;
		margin-right: auto;
		font-weight: 450;
		font-size: smaller;
		color:white;
		width:72%;
	}
    .img-menu-bar{
        width: 50px;
        margin-left: auto;
        margin-right: auto;
    }
}

@media screen and (min-width: 1400px) {
    .grid-container-menu{
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-gap: 280px;
		background-color: none;
		padding: 20px;
		margin-left: auto;
		margin-right: auto;
		font-weight: 450;
		font-size: smaller;
		color:white;
		width:72%;
	}
    .img-menu-bar{
        width: 50px;
        margin-left: auto;
        margin-right: auto;
    }
}

@media screen and (min-width: 1500px) {
    .grid-container-menu{
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-gap: 310px;
		background-color: none;
		padding: 20px;
		margin-left: auto;
		margin-right: auto;
		font-weight: 450;
		font-size: smaller;
		color:white;
		width:72%;
	}
    .img-menu-bar{
        width: 50px;
        margin-left: auto;
        margin-right: auto;
    }
}

</style>